Package org.eclipse.birt.chart.model.attribute

# Interface TextAlignment

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TextAlignmentImpl`

public interface TextAlignment extends IChartObject
A representation of the model object 'Text Alignment'. This type defines the alignment to be used for the text.

The following features are supported:

- `Horizontal Alignment`
- `Vertical Alignment`

See Also:
  - `AttributePackage.getTextAlignment()`

## Method Summary

Modifier and Type
Method
Description
`TextAlignment`
`copyInstance()`
`HorizontalAlignment`
`getHorizontalAlignment()`
Returns the value of the 'Horizontal Alignment' attribute.
`VerticalAlignment`
`getVerticalAlignment()`
Returns the value of the 'Vertical Alignment' attribute.
`boolean`
`isSetHorizontalAlignment()`
Returns whether the value of the '`Horizontal Alignment`' attribute is set.
`boolean`
`isSetVerticalAlignment()`
Returns whether the value of the '`Vertical Alignment`' attribute is set.
`void`
`setHorizontalAlignment(HorizontalAlignment value)`
Sets the value of the '`Horizontal Alignment`' attribute.
`void`
`setVerticalAlignment(VerticalAlignment value)`
Sets the value of the '`Vertical Alignment`' attribute.
`void`
`unsetHorizontalAlignment()`
Unsets the value of the '`Horizontal Alignment`' attribute.
`void`
`unsetVerticalAlignment()`
Unsets the value of the '`Vertical Alignment`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getHorizontalAlignment

HorizontalAlignment getHorizontalAlignment()
Returns the value of the 'Horizontal Alignment' attribute. The default value is `"Left"`. The literals are from the enumeration `HorizontalAlignment`. Gets the horizontal component of the text alignment.

Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  - `HorizontalAlignment`
  - `isSetHorizontalAlignment()`
  - `unsetHorizontalAlignment()`
  - `setHorizontalAlignment(HorizontalAlignment)`
  - `AttributePackage.getTextAlignment_HorizontalAlignment()`

### setHorizontalAlignment

void setHorizontalAlignment(HorizontalAlignment value)
Sets the value of the '`Horizontal Alignment`' attribute. Sets the horizontal component of the text alignment.

Parameters:
  `value` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  - `HorizontalAlignment`
  - `isSetHorizontalAlignment()`
  - `unsetHorizontalAlignment()`
  - `getHorizontalAlignment()`

### unsetHorizontalAlignment

void unsetHorizontalAlignment()
Unsets the value of the '`Horizontal Alignment`' attribute.

See Also:
  - `isSetHorizontalAlignment()`
  - `getHorizontalAlignment()`
  - `setHorizontalAlignment(HorizontalAlignment)`

### isSetHorizontalAlignment

boolean isSetHorizontalAlignment()
Returns whether the value of the '`Horizontal Alignment`' attribute is set.

Returns:
  whether the value of the 'Horizontal Alignment' attribute is set.
See Also:
  - `unsetHorizontalAlignment()`
  - `getHorizontalAlignment()`
  - `setHorizontalAlignment(HorizontalAlignment)`

### getVerticalAlignment

VerticalAlignment getVerticalAlignment()
Returns the value of the 'Vertical Alignment' attribute. The default value is `"Top"`. The literals are from the enumeration `VerticalAlignment`. Gets the vertical component of the text alignment.

Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  - `VerticalAlignment`
  - `isSetVerticalAlignment()`
  - `unsetVerticalAlignment()`
  - `setVerticalAlignment(VerticalAlignment)`
  - `AttributePackage.getTextAlignment_VerticalAlignment()`

### setVerticalAlignment

void setVerticalAlignment(VerticalAlignment value)
Sets the value of the '`Vertical Alignment`' attribute. Sets the horizontal component of the text alignment.

Parameters:
  `value` - the new value of the 'Vertical Alignment' attribute.
See Also:
  - `VerticalAlignment`
  - `isSetVerticalAlignment()`
  - `unsetVerticalAlignment()`
  - `getVerticalAlignment()`

### unsetVerticalAlignment

void unsetVerticalAlignment()
Unsets the value of the '`Vertical Alignment`' attribute.

See Also:
  - `isSetVerticalAlignment()`
  - `getVerticalAlignment()`
  - `setVerticalAlignment(VerticalAlignment)`

### isSetVerticalAlignment

boolean isSetVerticalAlignment()
Returns whether the value of the '`Vertical Alignment`' attribute is set.

Returns:
  whether the value of the 'Vertical Alignment' attribute is set.
See Also:
  - `unsetVerticalAlignment()`
  - `getVerticalAlignment()`
  - `setVerticalAlignment(VerticalAlignment)`

### copyInstance

TextAlignment copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`